Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://developersandbox-api.flutterwave.com/customers \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "meta": {
    "page_info": {
      "total": 123,
      "current_page": 123,
      "total_pages": 123
    }
  },
  "data": [
    {
      "id": "cus_3XarBILKQS",
      "address": {
        "city": "New York",
        "country": "US",
        "line1": "123 Main Street",
        "postal_code": "10001",
        "state": "New York",
        "line2": "Apt 4B"
      },
      "email": "cornelius@gmail.com",
      "name": {
        "first": "King",
        "middle": "Leo",
        "last": "LeBron"
      },
      "phone": {
        "country_code": "234",
        "number": "08012345678"
      },
      "meta": {},
      "created_datetime": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Query Parameters

page
integer
default:1

The page of the data to retrieve. The most recent data entry is on page 1.

Required range: x >= 1
size
integer
default:10

Length of data returned. Defaults to 10.

Required range: 10 <= x <= 50

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
meta
object
data
object[]
Maximum array length: 10